import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class SmallButtonSection extends StatelessWidget {
  const SmallButtonSection({super.key});

  static final buttonList = ['flat', 'inactive', 'solid', 'ghost'];
  static final buttonLabels = ['Добавить', 'Убрать', 'Добавить', 'Подтвердить'];

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: height(context) * 3),
      width: 96,
      height: height(context) * 30,
      child: ListView.builder(
        itemCount: buttonList.length,
        itemBuilder: (BuildContext context, int index) {
          final currentItem = buttonList[index];
          final currentLabel = buttonLabels[index];

          return Container(
            width: 96,
            margin: EdgeInsets.only(bottom: height(context) * 1),
            child: ButtonWidget(
              onPressed: () {},
              label: currentLabel,
              variant: currentItem,
              size: 'small',
            ),
          );
        },
      ),
    );
  }
}
